<?php
/**
 * @file
 * Drush support for the apple_tools module.
 */

/**
 * Implementation of hook_drush_command().
 */
function apple_tools_drush_command() {
  $items = array();

  $items['apple-tools-push-messages'] = array(
    'description' => 'Processes a batch of messages using the Apple Tools method.',
    'aliases' => array('at-push'),
  );
  $items['apple-tools-make-receipt-md5s'] = array(
    'description' => 'Ensure all the receipts have md5 values in the database',
    'aliases' => array('at-md5-receipt'),
    'options' => array('limit' => 'The limit of records to update, this overrides the default value.'),
  );
  return $items;
}

/**
 * Implementation of hook_drush_help().
 */
function apple_tools_drush_help($section) {
  switch ($section) {
    case 'drush:apple-tools-cron':
      return dt("Run apple tools cron hook.");
      break;
  }
}

/**
 * Implementation of drush_apple_tools_push_messages().
 */
function drush_apple_tools_push_messages() {
  apple_tools_push_messages();
}

/**
 * Implementation of drush_apple_tools_make_receipt_md5s.
 */
function drush_apple_tools_make_receipt_md5s() {
  apple_tools_make_receipt_md5s(drush_get_option('limit', NULL));
}
